%define texdir /usr/share/texlive/texmf-dist
Name: texlive-revtex42
Version: 4.2
Release: 17.fc40
Summary: Revtex 4.1 and 4.2 style files
License: LPPL
BuildArch: noarch

Group: Applications/Publishing
URL: https://journals.aps.org/revtex
Source0: https://journals.aps.org/revtex/revtex4-2-tds-vu.tar.gz
Source1: lppl1.3.txt
Source2: revtex4-1-rm-space-authlist.patch
Source3: revtex4-1-superscript-authlist.patch
Source4: revtex4-2-rm-space-authlist.patch
Source5: revtex4-2-superscript-authlist.patch

Summary:  Revtex 4.1 and 4.2 style and other files (exclude doc and source)
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires(post,postun): coreutils
Requires: tex(amsfonts.sty)
Requires: tex(amssymb.sty)
Requires: tex(amsmath.sty)
Requires: tex(url.sty)
Requires: tex(natbib.sty)
Requires: tex(bm.sty)
Provides: tex(docs.sty)
Provides: tex(revtex4-2.cls)
Provides: tex(revtex4-1.cls)
Provides: tex(textcase.sty)
Conflicts: texlive-revtex
Obsoletes: texlive-revtex
Obsoletes: texlive-revtex4

%description
Revtex 4.1 and 4-2 tex processing files for APS journals

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT%{texdir}
tar -xf %{SOURCE0} -C $RPM_BUILD_ROOT%{texdir}

mkdir -p $RPM_BUILD_ROOT/usr/share/licenses/texlive-revtex
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/licenses/texlive-revtex/

cd $RPM_BUILD_ROOT%{texdir}
/usr/bin/patch -p0 < %{SOURCE2}
/usr/bin/patch -p0 < %{SOURCE3}
/usr/bin/patch -p0 < %{SOURCE4}
/usr/bin/patch -p0 < %{SOURCE5}

rm -f  $RPM_BUILD_ROOT/usr/share/texlive/texmf-dist/lppl1.3.txt
rm -f  $RPM_BUILD_ROOT/usr/share/texlive/texmf-dist/revtex4-1-rm-space-authlist.patch
rm -f  $RPM_BUILD_ROOT/usr/share/texlive/texmf-dist/revtex4-1-superscript-authlist.patch
rm -f  $RPM_BUILD_ROOT/usr/share/texlive/texmf-dist/revtex4-2-rm-space-authlist.patch
rm -f  $RPM_BUILD_ROOT/usr/share/texlive/texmf-dist/revtex4-2-superscript-authlist.patch

%clean

%post -p /usr/bin/texhash

%postun -p /usr/bin/texhash

%files -n texlive-revtex42
%{texdir}/tex/latex/revtex/
%{texdir}/tex/latex/revtex4/
%{texdir}/bibtex/bst/revtex/
%{texdir}/bibtex/bst/revtex4/
/usr/share/licenses/texlive-revtex/lppl1.3.txt

%changelog
